# Fn<> Spec
The spec of a class.

Defined in | <seqan/basic.h>
Signature | `Spec<T>::Type;`

## Template Parameters

`T` | Type for which the spec type is determined.

## Return Values

`s` | Type Spec type of `T`.

#### Dox Sources

    /*!
     * @mfn Spec
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief The spec of a class.
     *
     * @signature Spec<T>::Type;
     *
     * @tparam T Type for which the spec type is determined.
     *
     * @return s Type Spec type of <tt>T</tt>.
     */